less.js (3.13.0+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Refresh d/copyright-check
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Feb 2026 19:41:05 +0100

less.js (3.13.0+dfsg-12) unstable; urgency=medium

  * Team upload.
  * Add patch for typescript 5.0 compatibility (Closes: #1090006)
  * Bump standards version to 4.7.0 (no changes needed)

 -- Ananthu C V <weepingclown@disroot.org>  Fri, 20 Dec 2024 02:16:53 +0530

less.js (3.13.0+dfsg-11) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-less: Add Multi-Arch: foreign.
  * Update standards version to 4.6.1, no changes needed.

  [ Yadd ]
  * Add fix for node-mime 2

 -- Yadd <yadd@debian.org>  Fri, 04 Nov 2022 21:29:21 +0100

less.js (3.13.0+dfsg-10) unstable; urgency=medium

  * Team upload
  * Fix for recent @rollup/plugin-node-resolve

 -- Yadd <yadd@debian.org>  Fri, 23 Sep 2022 15:26:36 +0200

less.js (3.13.0+dfsg-9) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-minimist (Closes: #1020146)

 -- Yadd <yadd@debian.org>  Sun, 18 Sep 2022 09:10:43 +0200

less.js (3.13.0+dfsg-8) unstable; urgency=medium

  * Team upload
  * Drop build dependency to node-typescript-types (Closes: #979803)

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 12:58:16 +0200

less.js (3.13.0+dfsg-7) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 19:35:22 +0100

less.js (3.13.0+dfsg-6) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Yadd ]
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 12:54:18 +0100

less.js (3.13.0+dfsg-5) unstable; urgency=medium

  * Add forwarded info to patch
  * Replace options deprecated in rollup-plugin-node-resolve 11

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 21:26:44 +0530

less.js (3.13.0+dfsg-4) unstable; urgency=medium

  * Simplify the build process by using correct require statement
    (nodeResolve = require('@rollup/plugin-node-resolve').nodeResolve)

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Dec 2020 15:24:28 +0530

less.js (3.13.0+dfsg-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Typo

  [ Pirate Praveen ]
  * Drop legacy commonjs and node-resolve plugins
    (require no longer work for @rollup/plugin-node-resolve, so use import and
    then convert it to cjs with rollup as a work around)

 -- Pirate Praveen <praveen@debian.org>  Tue, 29 Dec 2020 23:51:58 +0530

less.js (3.13.0+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Xavier Guimard ]
  * Remove all dependencies except node-tslib and nodejs (Closes: #977309)
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #974124)

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 11:26:10 +0100

less.js (3.13.0+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjs-less: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Add upstream/metadata
  * Use dh-sequence-nodejs
  * New upstream version 3.13.0+dfsg
  * Refresh patch
  * Update build and dependencies (upstream switched to lerna)
    (Closes: #953624)
  * Update install
  * Update copyright
  * Update debian/watch

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Nov 2020 14:08:23 +0100

less.js (3.11.2+dfsg-2) unstable; urgency=medium

  * Reupload to unstable (rainloop is now fixed)

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Jun 2020 15:43:34 +0530

less.js (3.11.2+dfsg-1) experimental; urgency=medium

  * Change input and output for browser bundle, move cjs output to dist/cjs
  * Build cjs with rollup
  * Add node-mime and node-request as dependencies
  * Add image-size as component
  * Repack and add repacksuffix automatically
  * New upstream version 3.11.2
  * Renable tests (added optional dependencies as Depends)
  * Use lib directly as input for rollup and don't bundle cjs output
  * Rename rollup.config.{umd.js to browser.js} to make lintian happy
  * Generate bin/lessc also with rollup
  * Use babel plugin for browser build
  * Remove unnecessary extra resolve paths for cjs builds
  * Add short description for man page
  * New upstream version 3.11.2+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 03 Jun 2020 01:19:26 +0530

less.js (3.11.1-1) experimental; urgency=medium

  * New upstream version 3.11.1 (Closes: #805289)
  * Drop already applied patches and adapt build/rollup.js
  * Simplify rules with pkg-js-tools
  * Add node-clone as runtime dependency to node-less
  * Generate and install manpage
  * Generate minified file with uglifyjs.terser
  * Use a rollup.config file to bundle all dependencies via node-resolve plugin
  * Generate browser files in dist
  * less.js in dist breaks lessc, so move it to debian/js
  * Remove Jonas from uploaders and add myself
  * Update build dependencies
  * Use --no-discard-stderr to help2man (sbuild needs it)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Bump debhelper compatibility level to 12
  * Drop unused patch file
  * Add comment to patch
  * Change section to javascript
  * Remove unused overrides

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 Jun 2020 14:27:06 +0530

less.js (1.6.3~dfsg-3) unstable; urgency=medium

  * Simplify rules.
    Stop build-depend on cdbs.
  * Wrap and sort control file.
  * Provide gzip and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Improve optimization of browser library.
  * Add autopkgtest.
    Update Vcs-* fields: Maintenance moved to Salsa.
    Set Rules-Requires-Root: no.
    Declare compliance with Debian Policy 4.3.0.
    Relax to (build-)depend unversioned on nodejs:
    Needed version satisfied even in oldstable.
    Update patch 2001 to use executable nodejs
    (not nodejs - see bug#862051).
    Tighten dependency on nodejs accordingly.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jan 2019 23:08:28 +0100

less.js (1.6.3~dfsg-2) unstable; urgency=medium

  * Fix have node-less (not libjs-less) recommend node-source-map.
    Thanks to David Prévot (see bug#773010).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Oct 2015 18:07:02 +0200

less.js (1.6.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Avoids sys.puts.
      Closes: Bug#800353. Thanks to Sebastian Rittau.

  [ Jonas Smedegaard ]
  * Adjust comment about when to drop backport-easing fallback
    build-dependency on yui-compressor.
    Thanks to Alexander E. Patrakov.
  * Update copyright info:
    + Update source URLs.
    + Extend coverage of packaging to include current year.
    + Drop Files sections (and corresponding License section) for files
      no longer shipped upstream since before 1.4.2.
    + Extend coverage for main upstream author.
  * Update source URLs in watch file and CDBS hints.
  * Reimplement build (i.e. mostly concatenation) in rules file:
    Upstream is moving to grunt which is not yet in Debian.
    Build-depend on libyaml-tiny-perl.
  * Install upstream CLI script in library path and symlink to bin path
    (instead of patching paths in script).
  * Bump debhelper compatibility level to 9.
  * Move package VCS to pkg-javascript team.
  * Add patches cherry-picked upstream to succeed testsuite with modern
    Nodejs.
  * Repackage upstream tarball to avoid sourceless binary code,
    potentially sourceless minified code, and convenience code copies.
    Mangle version in watch file (to match default CDBS suffix ~dfsg).
  * Update patch 2001.
  * Build-depend on and recommend node-source-map.
  * Stop build-depend on yui-compressor as fallback: Nodejs needed
    during build so backporting to oldstable is a pain anyway.
  * Strip article from short descriptions.

  [ Christian Amsüss ]
  * Declare compliance with Debian Policy 3.9.6.
  * Build man page using help2man.
    Closes: Bug#693944. Thanks to Martey Dodoo and David Prévot.
  * Update Vcs-* URIs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Oct 2015 23:23:16 +0200

less.js (1.4.2-1) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Stop tracking md5sum of upstream tarball.
  * Bump standards-version to 3.9.4.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Browser URI.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include recent years.
  * Simplify to enable CDBS copyright check and get-orig-source features
    unconditionally: Both are backporting-friendly nowadays - or rather
    nowadays is more CDBS-backporting friendly).
    Build-depend on devscripts.
  * Extend copyright coverage for main upstream author.
  * Skip a graphics file from copyright-check.
  * List upstream issue tracker as preferred contact.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 02:32:44 +0200

less.js (1.3.1~20121105-1) unstable; urgency=low

  * New snapshot of upstream VCS.

  [ Jonas Smedegaard ]
  * Update watch and rules files to use archive subdir at github.com.
  * Bump dephelper compatibility level to 8.
  * Update patch 2001 to not needlessly mess with CSS file.
  * Install (now renamed) CHANGELOG.md as upstream changelog.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Nov 2012 01:32:00 +0100

less.js (1.3.0~20120310-4) unstable; urgency=low

  [ Jérémy Lal ]
  * Update patch 2001 to rename node to nodejs also in Makefile,
    and in test outcome.
    Closes: bug#688030. Thanks to James Page.

  [ Jonas Smedegaard ]
  * Directly use github.com (not unreliable githubredir.debian.net).
  * Update package relations:
    + Declare all package relations in rules file.
    + Stop conflict/replace obsolete unstable-only virtual libnode-less.
    + Stop provide bogus virtual lessc.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 12:39:47 +0200

less.js (1.3.0~20120310-3) unstable; urgency=low

  * Really tighten build-dependency on nodejs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 14:46:55 +0200

less.js (1.3.0~20120310-2) unstable; urgency=low

  * Add patch 2001 to use /usr/bin/nodejs (not /usr/bin/env node), and
    tighten (build-)dependency on nodejs.
    See bug#614907.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 03:25:07 +0200

less.js (1.3.0~20120310-1) unstable; urgency=low

  * New upstream (snapshot of) release.
    Closes: bug#664622. Thanks to Daniel Baumann.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Unfuzz patch 2002.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Quote license name in comment.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 14:33:06 +0100

less.js (1.2.1~20120115-1) unstable; urgency=low

  * New upstream (snapshot of) release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jan 2012 17:34:51 +0100

less.js (1.2.0~20120107-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Bump debhelper compat level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2012 15:13:18 +0100

less.js (1.1.6~20111224-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Improve short and long descriptions.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 12:41:53 +0700

less.js (1.1.6~20111220-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Drop local-options file: defaults since dpkg-source 1.16.1.
  * Provide binary package node-less (not libnode-less).
    Temporarily conflict and replace with old libnode-* package.
  * Build-depend on node-uglify (not libnode-uglify).
  * Refresh patch 2002.
  * Update copyright file:
    + Fix list more copyright holders of ecma-5.js.
    + Consistently use separate License section for each license.
    + Add Files section for newly included cssmin.js, and corresponding
      new License section: BSD-3-Clause~Yahoo.
    + Quote license names in comments.
  * Relax to build-depend unversioned on debhelper and cdbs: needed
    versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 15:19:46 +0700

less.js (1.1.4~20110820-1) unstable; urgency=low

  * New snapshot of upstream Git.
  * Tighten build-dependency on nodejs.
  * Use (and build-depend on) yui-compressor as fallback for uglifyjs,
    to ease backporting.
  * Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Aug 2011 10:33:11 +0200

less.js (1.1.0~20110511-1) unstable; urgency=low

  New (git snapshot approximating) upstream release.
  * Update copyright file:
    + Rewrap license fields at 72 chars, and shorten comments.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2011 02:23:19 +0200

less.js (1.0.43~20110422-1) unstable; urgency=low

  * New (Git approximation of) upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2011 03:37:57 +0200

less.js (1.0.42~7f0650-2) unstable; urgency=low

  * Use uglifyjs (not yui-compressor). Update build-dependencies
    accordingly.
  * Bump copyright file format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 10:39:25 +0200

less.js (1.0.42~7f0650-1) unstable; urgency=low

  * New upstream release.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Feb 2011 21:07:28 +0100

less.js (1.0.41~0d9575-1) experimental; urgency=low

  * New (Git approximation of) upstream release.
  * Run regression tests using upstream test target (now that node
    executable is no longer unusually named).
    Tighten build-dependency on nodejs to versions providing non-renamed
    executable.
  * Adjust long description to mention less (not less.js) as Node
    library name.
  * less.js is now official successor of original Ruby implementation:
    Update Homepage and long descriptions.
    Closes: bug#587363.
  * Tidy copyright file:
    + Bump DEP5 format to rev. 166.
    + Fix use initial wildcard Files section.
    + Extend copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 23:45:14 +0100

less.js (1.0.40~6b8a5c-3) unstable; urgency=low

  * Rename binary package lessc to libnode-less, and instead virtually
    provide lessc, to comply with micro-policy Node naming scheme.
  * Drop libnode-less superfluously depending on libjs-less.
  * Newline-wrap dependencies.
  * Drop patch 2001: nodejs executable no longer unusually named in
    Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 14:24:40 +0100

less.js (1.0.40~6b8a5c-2) unstable; urgency=low

  * Fix add reference to Apache-2.0 license in copyright file.
  * Install uncompressed libraries (not symlink to compressed ones).
  * Fix install libraries with lessc script, in Node libdir.
  * Add patch 2002 to strip local PATH from lessc script.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 22:46:24 +0100

less.js (1.0.40~6b8a5c-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#610165.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 02:28:45 +0100
